Bullet Collision Detection & Physics Library: btSubSimplexClosestResult Struct Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
btSubSimplexClosestResult Struct Reference

`#include <btVoronoiSimplexSolver.h>`

Collaboration diagram for btSubSimplexClosestResult:
[legend]

## Public Member Functions
void | reset ()
bool | isValid ()
void | setBarycentricCoordinates (btScalar a=btScalar(0.), btScalar b=btScalar(0.), btScalar c=btScalar(0.), btScalar d=btScalar(0.))

## Public Attributes
btVector3 | m_closestPointOnSimplex
btUsageBitfield | m_usedVertices
btScalar | m_barycentricCoords [4]
bool | m_degenerate

## Detailed Description

Definition at line 56 of file btVoronoiSimplexSolver.h.

## Member Function Documentation

## ◆ isValid()

bool btSubSimplexClosestResult::isValid | ( |  | ) |
| inline

Definition at line 72 of file btVoronoiSimplexSolver.h.

## ◆ reset()

void btSubSimplexClosestResult::reset | ( |  | ) |
| inline

Definition at line 66 of file btVoronoiSimplexSolver.h.

## ◆ setBarycentricCoordinates()

void btSubSimplexClosestResult::setBarycentricCoordinates | ( | btScalar | a = btScalar(0.),
|  | btScalar | b = btScalar(0.),
|  | btScalar | c = btScalar(0.),
|  | btScalar | d = btScalar(0.) )
| inline

Definition at line 81 of file btVoronoiSimplexSolver.h.

## Member Data Documentation

## ◆ m_barycentricCoords

btScalar btSubSimplexClosestResult::m_barycentricCoords[4]

Definition at line 63 of file btVoronoiSimplexSolver.h.

## ◆ m_closestPointOnSimplex

btVector3 btSubSimplexClosestResult::m_closestPointOnSimplex

Definition at line 58 of file btVoronoiSimplexSolver.h.

## ◆ m_degenerate

bool btSubSimplexClosestResult::m_degenerate

Definition at line 64 of file btVoronoiSimplexSolver.h.

## ◆ m_usedVertices

btUsageBitfield btSubSimplexClosestResult::m_usedVertices

Definition at line 62 of file btVoronoiSimplexSolver.h.

The documentation for this struct was generated from the following file:

- btVoronoiSimplexSolver.h